# Contributing to Socializer

## Reporting issues

Socializer uses [GitHub Issue Tracking](https://github.com/dominicgoulet/socializer/issues)
to track issues (primarily bugs and contributions of new code). If you've found a bug,
this is the place to start. You'll need to create a (free) GitHub account in order to
submit an issue, to comment on them or to create pull requests.

Please read the following guidelines before opening an issue.

1. Search for existing [issues](https://github.com/dominicgoulet/socializer/issues). In case it has already been reported.
2. If you find no issue addressing it you can [add a new one](https://github.com/dominicgoulet/socializer/issues).
  - Your issue report must have a title and descriptive text.
  - You should include as much relevant information as possible. This
    includes posting a code sample that demostrates the issue. It is
    preferred that you include a spec that shows how the expected
    behavior is not occurring. Your goal should be to make it easy for
    yourself — and others — to replicate the bug and figure out a fix.

## Pull requests

- [Fork the repository](https://github.com/dominicgoulet/socializer/fork) on GitHub
- Create a topic branch
- Make commits of logical units
- One pull request per feature


Some things that will increase the chance that your pull request is accepted, taken straight from the Ruby on Rails guide:

- Use Rails idioms and helpers
- Include tests that fail without your code, and pass with it
- Update the (surrounding) documentation, examples elsewhere, and the guides: whatever is affected by your contribution


## Coding standards:

- Two spaces for indentation, never tabs
- No trailing whitespace. Blank lines should not have any space
- Follow the conventions you see used in the source already


## License

By contributing your code, you agree to license your contribution under the
terms of the MIT license: http://www.opensource.org/licenses/mit-license.php
